       write (6,10)
   10  format (1x, ' please enter a 3 digit number')
       read (5,8) number1
    8  format (i5)
       write (6,11) number1
   11  format (1x, ' the number you entered is ', i3 )
       write (6,10)
       read (5,8) number2
       write (6,11) number2
       if (number1 .GT. number2) write (6,27) number1
       if (number2 .GT. number1) write (6, 27) number2
       if (number1 .eq. number2) write (6,28) number1, number2
   28  format (1x, i4, ' and ' , i4, ' are equal')
   27  format (1x, ' the bigger number is ', i3)
   31  if (number1) 101, 102, 103
  101  write (6,105) number1
       go to 120
  102  write (6, 106) number1
       goto 120
  106  format (1x, i5, ' is neither positive nor negative ')
  103  write (6,107) number1
  107  format (1x, i5, ' is a positive number ')
  105  format (1x, i5, ' is a negative number ')
  120  write (' program has finished executing, please close DOS window')
       stop
       end
